<?php
/*
Plugin Name: VidProtect
Plugin URI: https://vidprotect.ir/
Description: با استفاده از ویدپروتکت از دوره‌های ارزشمند تصویری یا صوتی خود محافظت کنید
Author: VidProtect
Version: 2.6.0
Author URI: https://vidprotect.ir/
*/

defined('ABSPATH') || exit;

define('PLUGIN_FILE_URL', __FILE__);
define('FILE_TABLE', 'vidprotect_file');
define('BACK_URL', 'https://api.vidprotect.ir/v1/storage/bucket/file/');

require __DIR__ . '/pages/AdminSettingPage.php';
require __DIR__ . '/init.php';

add_action('wp_enqueue_scripts', 'add_vidprotect_scripts');
add_action('admin_enqueue_scripts', 'add_vidprotect_admin_scripts');
add_action('init', 'generate_link_example');
add_action('admin_menu', 'vidprotect_add_settings_page');
add_action('admin_init', 'vidprotect_register_settings');
add_shortcode('vidprotect', 'vidprotect_shortcode_func');
add_action('wp_head', 'vidprotect_add_custom_css');