function copyVidProtectLink(link) {
  navigator.clipboard.writeText(link).then(() => {
    changeDisplayOfElement('vidprotect-copy', 'block');

    setTimeout(() => {
      changeDisplayOfElement('vidprotect-copy');
    }, 5000);
  });
}

function changeDisplayOfElement(id, displayType = 'none') {
  document.getElementById(id).style.display = displayType;
}

function closeHelpDialog() {
  changeDisplayOfElement('helpDialog');
}

function saveData() {
  changeDisplayOfElement('loading-overlay', 'flex');
}

function closeErrorDialog() {
  changeDisplayOfElement('errorDialog');
}

function handleSortChange(order) {
  const currentUrl = new URL(window.location.href);
  currentUrl.searchParams.set('orderByDate', order);
  window.location.href = currentUrl.toString();
}